const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_d = arg1[48];
    v4_1a = z.y * *((v3_d - 32)) + *((v3_d - 16));
    *z.y = v4_1a;
    v2_24 = fabsl(v4_1a) # bp+24;
    tmp237 = fabs(*((v3_d - 24)));
    v5_32 = __asm_fyl2x(edi_global_2d_to_2d_local, esi_global_2d_to_2d_local, z.x_global_2d_to_2d_local, ebx_global_2d_to_2d_local, ebp_global_2d_to_2d_local) # bp+32;
    *z.y = v2_24 + tmp237;
    v2_36 = z.y + 7 # bp+36;
    *v2_36 = *v2_36 ^ v5_32 / 256;
    return z.x_global_2d_to_2d_local;


	}